Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NonPersistent(), NavigationItem(False), CreatableItem(False)> _
Public Class ChartOfAccountsYearPopup
    Inherits BaseObject

    Private _AccountYear As Long
    Private _AccountYearPrev As Long
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
        AccountYear = Year(Now)
    End Sub

    <RuleRange("ChartOfAccountYearPopup-AccountYear", DefaultContexts.Save, 2001, 2020)> _
    Property AccountYear As Long
        Get
            Return _AccountYear
        End Get
        Set(value As Long)
            SetPropertyValue("AccountYear", _AccountYear, value)
        End Set
    End Property
    <RuleRange("ChartOfAccountYearPopup-AccountYearPrev", DefaultContexts.Save, 2001, 2020)> _
    Property AccountYearPrev As Long
        Get
            Return _AccountYearPrev
        End Get
        Set(value As Long)
            SetPropertyValue("AccountYearPrev", _AccountYearPrev, value)
        End Set
    End Property
End Class
